/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"gbgraph.h"


void
print_gb_time(GB_TIME * t)
{
	if ( t->year == 0 )
		printf("nonlimit");
	else	printf("%f-",t->year);
	if ( t->month == -1 )
		printf("*-");
	else	printf("%i-",t->month);
	if ( t->date == -1 )
		printf("*");
	else	printf("%i",t->date);
}